<?php
/**
 * Videographer Studio functions and definitions
 *
 * @package Videographer Studio
 * @subpackage videographer_studio
 */

function videographer_studio_setup() {

	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'woocommerce' );
	add_theme_support( 'title-tag' );
	add_theme_support( "responsive-embeds" );
	add_theme_support( 'wp-block-styles' );
	add_theme_support( 'align-wide' );
	add_theme_support( 'post-thumbnails' );
	add_image_size( 'videographer-studio-featured-image', 2000, 1200, true );
	add_image_size( 'videographer-studio-thumbnail-avatar', 100, 100, true );

	// Set the default content width.
	$GLOBALS['content_width'] = 525;

	// This theme uses wp_nav_menu() in two locations.
	register_nav_menus( array(
		'primary-menu'    => __( 'Primary Menu', 'videographer-studio' ),
	) );

	// Add theme support for Custom Logo.
	add_theme_support( 'custom-logo', array(
		'width'       => 250,
		'height'      => 250,
		'flex-width'  => true,
		'flex-height' => true,
	) );

	// Add theme support for selective refresh for widgets.
	add_theme_support( 'customize-selective-refresh-widgets' );

	add_theme_support( 'custom-background', array(
		'default-color' => 'ffffff'
	) );

	/*
	 * Enable support for Post Formats.
	 *
	 * See: https://codex.wordpress.org/Post_Formats
	 */
	add_theme_support( 'post-formats', array('image','video','gallery','audio',) );

	add_theme_support( 'html5', array('comment-form','comment-list','gallery','caption',) );

	/*
	 * This theme styles the visual editor to resemble the theme style,
	 * specifically font, colors, and column width.
 	 */
	add_editor_style( array( 'assets/css/editor-style.css', videographer_studio_fonts_url() ) );

	add_theme_support( 'custom-header', apply_filters( 'videographer_studio_custom_header_args', array(
        'default-text-color' => 'fff',
        'header-text'        => false,
        'width'              => 1600,
        'height'             => 350,
        'flex-width'         => true,
        'flex-height'        => true,
        'wp-head-callback'   => 'videographer_studio_header_style',
        'default-image'      => get_template_directory_uri() . '/assets/images/sliderimage.png',
    ) ) );

	/**
	 * Implement the Custom Header feature.
	 */
	require get_parent_theme_file_path( '/inc/custom-header.php' );

}
add_action( 'after_setup_theme', 'videographer_studio_setup' );

/**
 * Register custom fonts.
 */
function videographer_studio_fonts_url(){
	$videographer_studio_font_url = '';
	$videographer_studio_font_family = array();
	$videographer_studio_font_family[] = 'Outfit:wght@100;200;300;400;500;600;700;800;900';

	$videographer_studio_font_family[] = 'Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$videographer_studio_font_family[] = 'Bad Script';
	$videographer_studio_font_family[] = 'Bebas Neue';
	$videographer_studio_font_family[] = 'Fjalla One';
	$videographer_studio_font_family[] = 'PT Sans:ital,wght@0,400;0,700;1,400;1,700';
	$videographer_studio_font_family[] = 'PT Serif:ital,wght@0,400;0,700;1,400;1,700';
	$videographer_studio_font_family[] = 'Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900';
	$videographer_studio_font_family[] = 'Roboto Condensed:ital,wght@0,300;0,400;0,700;1,300;1,400;1,700';
	$videographer_studio_font_family[] = 'Alex Brush';
	$videographer_studio_font_family[] = 'Overpass:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$videographer_studio_font_family[] = 'Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$videographer_studio_font_family[] = 'Playball';
	$videographer_studio_font_family[] = 'Alegreya:ital,wght@0,400;0,500;0,600;0,700;0,800;0,900;1,400;1,500;1,600;1,700;1,800;1,900';
	$videographer_studio_font_family[] = 'Julius Sans One';
	$videographer_studio_font_family[] = 'Arsenal:ital,wght@0,400;0,700;1,400;1,700';
	$videographer_studio_font_family[] = 'Slabo 13px';
	$videographer_studio_font_family[] = 'Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900';
	$videographer_studio_font_family[] = 'Overpass Mono:wght@300;400;500;600;700';
	$videographer_studio_font_family[] = 'Source Sans Pro:ital,wght@0,200;0,300;0,400;0,600;0,700;0,900;1,200;1,300;1,400;1,600;1,700;1,900';
	$videographer_studio_font_family[] = 'Raleway:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$videographer_studio_font_family[] = 'Merriweather:ital,wght@0,300;0,400;0,700;0,900;1,300;1,400;1,700;1,900';
	$videographer_studio_font_family[] = 'Rubik:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$videographer_studio_font_family[] = 'Lora:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700';
	$videographer_studio_font_family[] = 'Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700';
	$videographer_studio_font_family[] = 'Cabin:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700';
	$videographer_studio_font_family[] = 'Arimo:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700';
	$videographer_studio_font_family[] = 'Playfair Display:ital,wght@0,400;0,500;0,600;0,700;0,800;0,900;1,400;1,500;1,600;1,700;1,800;1,900';
	$videographer_studio_font_family[] = 'Quicksand:wght@300;400;500;600;700';
	$videographer_studio_font_family[] = 'Padauk:wght@400;700';
	$videographer_studio_font_family[] = 'Mulish:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;0,1000;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900;1,1000';
	$videographer_studio_font_family[] = 'Inconsolata:wght@200;300;400;500;600;700;800;900&family=Mulish:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;0,1000;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900;1,1000';
	$videographer_studio_font_family[] = 'Bitter:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Mulish:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;0,1000;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900;1,1000';
	$videographer_studio_font_family[] = 'Pacifico';
	$videographer_studio_font_family[] = 'Indie Flower';
	$videographer_studio_font_family[] = 'VT323';
	$videographer_studio_font_family[] = 'Dosis:wght@200;300;400;500;600;700;800';
	$videographer_studio_font_family[] = 'Frank Ruhl Libre:wght@300;400;500;700;900';
	$videographer_studio_font_family[] = 'Fjalla One';
	$videographer_studio_font_family[] = 'Figtree:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$videographer_studio_font_family[] = 'Oxygen:wght@300;400;700';
	$videographer_studio_font_family[] = 'Arvo:ital,wght@0,400;0,700;1,400;1,700';
	$videographer_studio_font_family[] = 'Noto Serif:ital,wght@0,400;0,700;1,400;1,700';
	$videographer_studio_font_family[] = 'Lobster';
	$videographer_studio_font_family[] = 'Crimson Text:ital,wght@0,400;0,600;0,700;1,400;1,600;1,700';
	$videographer_studio_font_family[] = 'Yanone Kaffeesatz:wght@200;300;400;500;600;700';
	$videographer_studio_font_family[] = 'Anton';
	$videographer_studio_font_family[] = 'Libre Baskerville:ital,wght@0,400;0,700;1,400';
	$videographer_studio_font_family[] = 'Bree Serif';
	$videographer_studio_font_family[] = 'Gloria Hallelujah';
	$videographer_studio_font_family[] = 'Abril Fatface';
	$videographer_studio_font_family[] = 'Varela Round';
	$videographer_studio_font_family[] = 'Vampiro One';
	$videographer_studio_font_family[] = 'Shadows Into Light';
	$videographer_studio_font_family[] = 'Cuprum:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700';
	$videographer_studio_font_family[] = 'Rokkitt:wght@100;200;300;400;500;600;700;800;900';
	$videographer_studio_font_family[] = 'Vollkorn:ital,wght@0,400;0,500;0,600;0,700;0,800;0,900;1,400;1,500;1,600;1,700;1,800;1,900';
	$videographer_studio_font_family[] = 'Francois One';
	$videographer_studio_font_family[] = 'Orbitron:wght@400;500;600;700;800;900';
	$videographer_studio_font_family[] = 'Patua One';
	$videographer_studio_font_family[] = 'Acme';
	$videographer_studio_font_family[] = 'Satisfy';
	$videographer_studio_font_family[] = 'Josefin Slab:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;1,100;1,200;1,300;1,400;1,500;1,600;1,700';
	$videographer_studio_font_family[] = 'Quattrocento Sans:ital,wght@0,400;0,700;1,400;1,700';
	$videographer_studio_font_family[] = 'Architects Daughter';
	$videographer_studio_font_family[] = 'Russo One';
	$videographer_studio_font_family[] = 'Monda:wght@400;700';
	$videographer_studio_font_family[] = 'Righteous';
	$videographer_studio_font_family[] = 'Lobster Two:ital,wght@0,400;0,700;1,400;1,700';
	$videographer_studio_font_family[] = 'Hammersmith One';
	$videographer_studio_font_family[] = 'Courgette';
	$videographer_studio_font_family[] = 'Permanent Marke';
	$videographer_studio_font_family[] = 'Cherry Swash:wght@400;700';
	$videographer_studio_font_family[] = 'Cormorant Garamond:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500;1,600;1,700';
	$videographer_studio_font_family[] = 'Poiret One';
	$videographer_studio_font_family[] = 'BenchNine:wght@300;400;700';
	$videographer_studio_font_family[] = 'Economica:ital,wght@0,400;0,700;1,400;1,700';
	$videographer_studio_font_family[] = 'Handlee';
	$videographer_studio_font_family[] = 'Cardo:ital,wght@0,400;0,700;1,400';
	$videographer_studio_font_family[] = 'Alfa Slab One';
	$videographer_studio_font_family[] = 'Averia Serif Libre:ital,wght@0,300;0,400;0,700;1,300;1,400;1,700';
	$videographer_studio_font_family[] = 'Cookie';
	$videographer_studio_font_family[] = 'Chewy';
	$videographer_studio_font_family[] = 'Great Vibes';
	$videographer_studio_font_family[] = 'Coming Soon';
	$videographer_studio_font_family[] = 'Philosopher:ital,wght@0,400;0,700;1,400;1,700';
	$videographer_studio_font_family[] = 'Days One';
	$videographer_studio_font_family[] = 'Kanit:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$videographer_studio_font_family[] = 'Shrikhand';
	$videographer_studio_font_family[] = 'Tangerine:wght@400;700';
	$videographer_studio_font_family[] = 'IM Fell English SC';
	$videographer_studio_font_family[] = 'Boogaloo';
	$videographer_studio_font_family[] = 'Bangers';
	$videographer_studio_font_family[] = 'Fredoka One';
	$videographer_studio_font_family[] = 'Volkhov:ital,wght@0,400;0,700;1,400;1,700';
	$videographer_studio_font_family[] = 'Shadows Into Light Two';
	$videographer_studio_font_family[] = 'Marck Script';
	$videographer_studio_font_family[] = 'Sacramento';
	$videographer_studio_font_family[] = 'Unica One';
	$videographer_studio_font_family[] = 'Dancing Script:wght@400;500;600;700';
	$videographer_studio_font_family[] = 'Exo 2:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$videographer_studio_font_family[] = 'Archivo:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$videographer_studio_font_family[] = 'Jost:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$videographer_studio_font_family[] = 'DM Serif Display:ital@0;1';
	$videographer_studio_font_family[] = 'Open Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;1,300;1,400;1,500;1,600;1,700;1,800';


	$videographer_studio_query_args = array(
		'family'	=> rawurlencode(implode('|',$videographer_studio_font_family)),
	);
	$videographer_studio_font_url = add_query_arg($videographer_studio_query_args,'//fonts.googleapis.com/css');
	return $videographer_studio_font_url;
	$contents = videographer_studio_wptt_get_web_font_url( esc_url_raw( $videographer_studio_font_url ) );
}

/**
 * Register widget area.
 */
function videographer_studio_widgets_init() {
	register_sidebar( array(
		'name'          => __( 'Blog Sidebar', 'videographer-studio' ),
		'id'            => 'sidebar-1',
		'description'   => __( 'Add widgets here to appear in your sidebar on blog posts and archive pages.', 'videographer-studio' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Page Sidebar', 'videographer-studio' ),
		'id'            => 'sidebar-2',
		'description'   => __( 'Add widgets here to appear in your sidebar on pages.', 'videographer-studio' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Sidebar 3', 'videographer-studio' ),
		'id'            => 'sidebar-3',
		'description'   => __( 'Add widgets here to appear in your sidebar on blog posts and archive pages.', 'videographer-studio' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer 1', 'videographer-studio' ),
		'id'            => 'footer-1',
		'description'   => __( 'Add widgets here to appear in your footer.', 'videographer-studio' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer 2', 'videographer-studio' ),
		'id'            => 'footer-2',
		'description'   => __( 'Add widgets here to appear in your footer.', 'videographer-studio' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer 3', 'videographer-studio' ),
		'id'            => 'footer-3',
		'description'   => __( 'Add widgets here to appear in your footer.', 'videographer-studio' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer 4', 'videographer-studio' ),
		'id'            => 'footer-4',
		'description'   => __( 'Add widgets here to appear in your footer.', 'videographer-studio' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );
}
add_action( 'widgets_init', 'videographer_studio_widgets_init' );

/**
 * Enqueue scripts and styles.
 */
function videographer_studio_scripts() {
	// Add custom fonts, used in the main stylesheet.
	wp_enqueue_style( 'videographer-studio-fonts', videographer_studio_fonts_url(), array(), null );

	// Bootstrap
	wp_enqueue_style( 'bootstrap-css', get_theme_file_uri( '/assets/css/bootstrap.css' ) );

	// Theme stylesheet.
	wp_enqueue_style( 'videographer-studio-style', get_stylesheet_uri() );
	require get_parent_theme_file_path( '/tp-theme-color.php' );
	wp_add_inline_style( 'videographer-studio-style',$videographer_studio_tp_theme_css );
	require get_parent_theme_file_path( '/tp-body-width-layout.php' );
	wp_add_inline_style( 'videographer-studio-style',$videographer_studio_tp_theme_css );
	wp_style_add_data('videographer-studio-style', 'rtl', 'replace');

	// Theme block stylesheet.
	wp_enqueue_style( 'videographer-studio-block-style', get_theme_file_uri( '/assets/css/blocks.css' ), array( 'videographer-studio-style' ), '1.0' );

	// Fontawesome
	wp_enqueue_style( 'fontawesome-css', get_theme_file_uri( '/assets/css/fontawesome-all.css' ) );

	wp_enqueue_script( 'bootstrap-js', get_theme_file_uri( '/assets/js/bootstrap.js' ), array( 'jquery' ), true );

	wp_enqueue_script( 'videographer-studio-custom-scripts', esc_url( get_template_directory_uri() ) . '/assets/js/custom.js', array('jquery'), true );


	wp_enqueue_script( 'videographer-studio-focus-nav', esc_url( get_template_directory_uri() ) . '/assets/js/focus-nav.js', array('jquery'), true);

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

	$videographer_studio_body_font_family = get_theme_mod('videographer_studio_body_font_family', '');

	$videographer_studio_heading_font_family = get_theme_mod('videographer_studio_heading_font_family', '');

	$videographer_studio_menu_font_family = get_theme_mod('videographer_studio_menu_font_family', '');

	$videographer_studio_tp_theme_css = '
		body{
		    font-family: '.esc_html($videographer_studio_body_font_family).';
		}
		.more-btn a{
		    font-family: '.esc_html($videographer_studio_body_font_family).';
		}
		h1{
		    font-family: '.esc_html($videographer_studio_heading_font_family).';
		}
		h2{
		    font-family: '.esc_html($videographer_studio_heading_font_family).';
		}
		h3{
		    font-family: '.esc_html($videographer_studio_heading_font_family).';
		}
		h4{
		    font-family: '.esc_html($videographer_studio_heading_font_family).';
		}
		h5{
		    font-family: '.esc_html($videographer_studio_heading_font_family).';
		}
		h6{
		    font-family: '.esc_html($videographer_studio_heading_font_family).';
		}
		#theme-sidebar .wp-block-search .wp-block-search__label{
		    font-family: '.esc_html($videographer_studio_heading_font_family).';
		}
		.menubar{
		    font-family: '.esc_html($videographer_studio_menu_font_family).';
		}
	';
	wp_add_inline_style('videographer-studio-style', $videographer_studio_tp_theme_css);
}
add_action( 'wp_enqueue_scripts', 'videographer_studio_scripts' );

//Admin Enqueue for Admin
function videographer_studio_admin_enqueue_scripts(){
	wp_enqueue_style('videographer-studio-admin-style', esc_url( get_template_directory_uri() ) . '/assets/css/admin.css');
	wp_enqueue_script( 'videographer-studio-custom-scripts', esc_url( get_template_directory_uri() ). '/assets/js/custom.js', array('jquery'), true);
	wp_register_script( 'videographer-studio-admin-script', get_template_directory_uri() . '/assets/js/videographer-studio-admin.js', array( 'jquery' ), '', true );

	wp_localize_script(
		'videographer-studio-admin-script',
		'videographer_studio',
		array(
			'admin_ajax'	=>	admin_url('admin-ajax.php'),
			'wpnonce'			=>	wp_create_nonce('videographer_studio_dismissed_notice_nonce')
		)
	);
	wp_enqueue_script('videographer-studio-admin-script');

    wp_localize_script( 'videographer-studio-admin-script', 'videographer_studio_ajax_object',
        array( 'ajax_url' => admin_url( 'admin-ajax.php' ) )
    );
}
add_action( 'admin_enqueue_scripts', 'videographer_studio_admin_enqueue_scripts' );

// Sanitize Sortable control.
function videographer_studio_sanitize_sortable( $val, $setting ) {
	if ( is_string( $val ) || is_numeric( $val ) ) {
		return array(
			esc_attr( $val ),
		);
	}
	$sanitized_value = array();
	foreach ( $val as $item ) {
		if ( isset( $setting->manager->get_control( $setting->id )->choices[ $item ] ) ) {
			$sanitized_value[] = esc_attr( $item );
		}
	}
	return $sanitized_value;
}
/* Excerpt Limit Begin */
function videographer_studio_excerpt_function($excerpt_count = 35) {
    $videographer_studio_excerpt = get_the_excerpt();

    $VIDEOGRAPHER_STUDIO_TEXT_excerpt = wp_strip_all_tags($videographer_studio_excerpt);

    $videographer_studio_excerpt_limit = esc_attr(get_theme_mod('videographer_studio_excerpt_count', $excerpt_count));

    $videographer_studio_theme_excerpt = implode(' ', array_slice(explode(' ', $VIDEOGRAPHER_STUDIO_TEXT_excerpt), 0, $videographer_studio_excerpt_limit));

    return $videographer_studio_theme_excerpt;
}
/*radio button sanitization*/
function videographer_studio_sanitize_choices( $input, $setting ) {
    global $wp_customize;
    $control = $wp_customize->get_control( $setting->id );
    if ( array_key_exists( $input, $control->choices ) ) {
        return $input;
    } else {
        return $setting->default;
    }
}
function videographer_studio_sanitize_dropdown_pages( $page_id, $setting ) {
	$page_id = absint( $page_id );
	return ( 'publish' == get_post_status( $page_id ) ? $page_id : $setting->default );
}

function videographer_studio_sanitize_phone_number( $phone ) {
	return preg_replace( '/[^\d+]/', '', $phone );
}

// Change number or products per row to 3
add_filter('loop_shop_columns', 'videographer_studio_loop_columns');
if (!function_exists('videographer_studio_loop_columns')) {
	function videographer_studio_loop_columns() {
		$columns = get_theme_mod( 'videographer_studio_per_columns', 3 );
		return $columns;
	}
}

//Change number of products that are displayed per page (shop page)
add_filter( 'loop_shop_per_page', 'videographer_studio_per_page', 20 );
function videographer_studio_per_page( $videographer_studio_cols ) {
  	$videographer_studio_cols = get_theme_mod( 'videographer_studio_product_per_page', 9 );
	return $videographer_studio_cols;
}

function videographer_studio_sanitize_checkbox( $input ) {
	// Boolean check
	return ( ( isset( $input ) && true == $input ) ? true : false );
}

function videographer_studio_sanitize_number_absint( $number, $setting ) {
	// Ensure $number is an absolute integer (whole number, zero or greater).
	$number = absint( $number );

	// If the input is an absolute integer, return it; otherwise, return the default
	return ( $number ? $number : $setting->default );
}

function videographer_studio_sanitize_number_range( $number, $setting ) {

	// Ensure input is an absolute integer.
	$number = absint( $number );

	// Get the input attributes associated with the setting.
	$atts = $setting->manager->get_control( $setting->id )->input_attrs;

	// Get minimum number in the range.
	$min = ( isset( $atts['min'] ) ? $atts['min'] : $number );

	// Get maximum number in the range.
	$max = ( isset( $atts['max'] ) ? $atts['max'] : $number );

	// Get step.
	$step = ( isset( $atts['step'] ) ? $atts['step'] : 1 );

	// If the number is within the valid range, return it; otherwise, return the default
	return ( $min <= $number && $number <= $max && is_int( $number / $step ) ? $number : $setting->default );
}

/**
 * Use front-page.php when Front page displays is set to a static page.
 */
function videographer_studio_front_page_template( $template ) {
	return is_home() ? '' : $template;
}
add_filter( 'frontpage_template',  'videographer_studio_front_page_template' );

add_action( 'wp_ajax_videographer_studio_dismissed_notice_handler', 'videographer_studio_ajax_notice_handler' );

function videographer_studio_ajax_notice_handler() {
	if (!wp_verify_nonce($_POST['wpnonce'], 'videographer_studio_dismissed_notice_nonce')) {
		exit;
	}
    if ( isset( $_POST['type'] ) ) {
        $type = sanitize_text_field( wp_unslash( $_POST['type'] ) );
        update_option( 'dismissed-' . $type, TRUE );
    }
}

function videographer_studio_activation_notice() { 

	if ( ! get_option('dismissed-get_started', FALSE ) ) { ?>

    <div class="videographer-studio-notice-wrapper updated notice notice-get-started-class is-dismissible" data-notice="get_started">
        <div class="videographer-studio-getting-started-notice clearfix">
        	<div class="row-top">
	            <div class="videographer-studio-theme-notice-content">
	                <h2 class="videographer-studio-notice-h2">
	                    <?php
	                printf(
	                /* translators: 1: welcome page link starting html tag, 2: welcome page link ending html tag. */
	                    esc_html__( 'Install the Demo Import Plugin now to instantly set up your site like the live preview.', 'videographer-studio' ), '<strong>'. wp_get_theme()->get('Name'). '</strong>' );
	                ?>
	                </h2>
	                <a class="videographer-studio-btn-get-started button button-primary button-hero videographer-studio-button-padding" href="<?php echo esc_url( admin_url( 'themes.php?page=videographer-studio-about' )); ?>" ><?php esc_html_e( 'Get Started with Videographer Studio', 'videographer-studio' ) ?></a>
	            </div>
	            <div class="image-box">
			    	<img src="<?php echo esc_url( get_template_directory_uri() . '/assets/images/theme-notice.png' ); ?>" alt="<?php echo esc_attr__( 'Videographer Studio', 'videographer-studio' ); ?>" />
				</div>
	        </div>
        </div>
    </div>
<?php }

}
add_action( 'admin_notices', 'videographer_studio_activation_notice' );

add_action('after_switch_theme', 'videographer_studio_setup_options');
function videographer_studio_setup_options () {
    update_option('dismissed-get_started', FALSE );
}


// Category count 
function videographer_studio_display_post_category_count() {
    $videographer_studio_category = get_the_category();
    $videographer_studio_category_count = ($videographer_studio_category) ? count($videographer_studio_category) : 0;
    $videographer_studio_category_text = ($videographer_studio_category_count === 1) ? 'category' : 'categories'; // Check for pluralization
    echo $videographer_studio_category_count . ' ' . $videographer_studio_category_text;
}

//post tag
function custom_tags_filter($videographer_studio_tag_list) {
    // Replace the comma (,) with an empty string
    $videographer_studio_tag_list = str_replace(', ', '', $videographer_studio_tag_list);

    return $videographer_studio_tag_list;
}
add_filter('the_tags', 'custom_tags_filter');

function custom_output_tags() {
    $videographer_studio_tags = get_the_tags();

    if ($videographer_studio_tags) {
        $videographer_studio_tags_output = '<div class="post_tag">Tags: ';

        $videographer_studio_first_tag = reset($videographer_studio_tags);

        foreach ($videographer_studio_tags as $tag) {
            $videographer_studio_tags_output .= '<a href="' . esc_url(get_tag_link($tag)) . '" rel="tag" class="mr-2">' . esc_html($tag->name) . '</a>';
            if ($tag !== $videographer_studio_first_tag) {
                $videographer_studio_tags_output .= ' ';
            }
        }

        $videographer_studio_tags_output .= '</div>';

        echo $videographer_studio_tags_output;
    }
}
/**
 * Logo Custamization.
 */

function videographer_studio_logo_width(){

	$videographer_studio_logo_width   = get_theme_mod( 'videographer_studio_logo_width', 150 );

	echo "<style type='text/css' media='all'>"; ?>
		img.custom-logo{
		    width: <?php echo absint( $videographer_studio_logo_width ); ?>px;
		    max-width: 100%;
		}
	<?php echo "</style>";
}

add_action( 'wp_head', 'videographer_studio_logo_width' );


function videographer_studio_theme_setup() {
	
	/**
	 * Custom template tags for this theme.
	 */
	require get_parent_theme_file_path( '/inc/template-tags.php' );

	/**
	 * Additional features to allow styling of the templates.
	 */
	require get_parent_theme_file_path( '/inc/template-functions.php' );

	/**
	 * Customizer additions.
	 */
	require get_parent_theme_file_path( '/inc/customizer.php' );

	/**
	 * Load Theme Web File
	 */
	require get_parent_theme_file_path('/inc/wptt-webfont-loader.php' );
	/**
	 * Load Toggle file
	 */
	require get_parent_theme_file_path( '/inc/controls/customize-control-toggle.php' );
	/**
	 * load sortable file
	 */
	require get_parent_theme_file_path( '/inc/controls/sortable-control.php' );

	/**
	 * TGM Recommendation
	 */
	require get_parent_theme_file_path( '/inc/TGM/tgm.php' );

	/**
	 * Load About Theme
	 */
	require get_parent_theme_file_path( '/inc/about-theme.php' );

	define('VIDEOGRAPHER_STUDIO_CREDIT',__('https://www.themespride.com/products/free-videographer-wordpress-theme','videographer-studio') );
	if ( ! function_exists( 'videographer_studio_credit' ) ) {
		function videographer_studio_credit(){
			echo "<a href=".esc_url(VIDEOGRAPHER_STUDIO_CREDIT)." target='_blank'>".esc_html__(get_theme_mod('videographer_studio_footer_text',__('Videographer WordPress Theme','videographer-studio')))."</a>";
		}
	}

}
add_action( 'after_setup_theme', 'videographer_studio_theme_setup' );